Subject: [dns-dir] Request to review RFC2181 and IANA registry

From: Ralph Droms <[email-masked]>
Date: Wed, 20 Apr 2011 15:26:31 -0400

Robert Sparks asked me if the IANA registry at http://www.iana.org/assignments/dns-parameters should be updated to reflect the contents of RFC2181.  For example, should the registry entry for PTR records include a reference to RFC2181 as well as RFC1034:

PTR          12 a domain name pointer                       [RFC1035]

I'd like to get a review of RFC2181 and any recommendations for edits to the IANA registry.  Can I get a volunteer?  Thanks...

- Ralph

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 20 Apr 2011 15:42:29 -0400

> PTR          12 a domain name pointer                       [RFC1035]

Why?  I didn't do a review just now, only a quick scan, but I don't
see anything in 2181 that is altering the values in the registry.  Was
there something specific Robert had in mind?

A

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.

---

From: Ralph Droms <[email-masked]>
Date: Wed, 20 Apr 2011 15:51:03 -0400

> there something specific Robert had in mind?

For example, should the PTR registry entry read:

PTR          12 a domain name pointer                       [RFC1035][RFC2181]

"No change required" is a perfectly fine answer.

- Ralph

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 20 Apr 2011 15:55:40 -0400

> "No change required" is a perfectly fine answer.

Ok, if that's the only question, then I think "no".  2181 didn't
change any of the entries nor even any of the meaning; it was just an
attempt to clarify some details (one might say, "Stomp out
misconceptions," I guess).

So I think it shouldn't be altered.

A

-- 
Andrew Sullivan
[email-masked]
Shinkuro, Inc.

---

From: Ralph Droms <[email-masked]>
Date: Wed, 20 Apr 2011 16:47:24 -0400

> So I think it shouldn't be altered.

That was Robert's example.  Just checking, because I think you've already said "no": Is there anything else specified in RFC2181 that might call for an update to the registry?

- Ralph

---

From: Olafur Gudmundsson <[email-masked]>
Date: Wed, 20 Apr 2011 17:03:37 -0400

> That was Robert's example.  Just checking, because I think you've already said "no": Is there anything else specified in RFC2181 that might call for an update to the registry?

RFC2181 is a clarification of a "misconception" that we can not trace 
down to any document just practice.

There is no reason to update the registry as anyone looking at the 
documents today will not make the same misconsception in particular if 
they read RFC3597.

	Olafur

---

From: Peter Koch <[email-masked]>
Date: Wed, 20 Apr 2011 23:48:08 +0200

> That was Robert's example.  Just checking, because I think you've already said "no": Is there anything else specified in RFC2181 that might call for an update to the registry?

I'd still like to understand the background o the question.
I'm with Andrew here. RFC1035 specifies the RDATA format for PTR, other
ocuments, including 2181, may clarify protocol or operational aspects.
Now, if the registry's task is to point to a specification - and I think
it is - then a reference to 1035 is fine.  Should you expect a full list
of documents to understand PTR, you'd need to have a longer list.
But this isn't what the registry reference is for.  This is kind of similar
to keeping the applicability status (recommended, deprecated, ..) inthe IANA
registry: good idea, but wrong place.

-Peter

---

From: Ralph Droms <[email-masked]>
Date: Thu, 21 Apr 2011 10:16:10 -0400

The question came from another AD who had a note to himself to check on the registry to determine if any updates were required based on RC 2181.

What I'm hearing is "no": the registry includes references to defining RFCs, not a list of all RFCs required to understand and use PTR correctly.

Thanks - if I've got the summary correct, it's the answer I need.

- Ralph